Prompt:
  description: A prompt
  properties:
    ID:
      description: Record Id
      type: string
    CreatedByID:
      description: The ID of the user who created the prompt
      type: string
      x-nullable: true
    CreatedDate:
      description: The date the prompt was created
      type: string
      x-nullable: true
    Icon:
      description: The icon for the prompt
      type: string
      x-nullable: true
    ImageAltText:
      description: The alt text for the prompt image
      type: string
      x-nullable: true
    ImageURL:
      description: The URL of the prompt image
      type: string
      x-nullable: true
    LastModifiedByID:
      description: The ID of the user who last modified the prompt
      type: string
      x-nullable: true
    LastModifiedDate:
      description: The date the prompt was last modified
      type: string
      x-nullable: true
    Logo:
      description: The logo for the prompt
      type: string
      x-nullable: true
    MaxTokens:
      description: The maximum number of tokens to generate
      type: number
      x-nullable: true
    Model:
      description: The model for the prompt
      type: string
      x-nullable: true
    Name:
      description: The name of the prompt
      type: string
      x-nullable: true
    Order:
      description: The order of the prompt
      type: number
      x-nullable: true
    Parameters:
      description: A list of parameters encoded as JSON
      type: string
      x-nullable: true
    Prompt:
      description: The prompt text
      type: string
      x-nullable: true
    PromptCategoryID:
      description: The ID of the prompt category
      type: string
      x-nullable: true
    ResearchProjectIDs:
      description: A list of research project IDs
      items:
        type: string
      type: array
      x-nullable: true
    Slug:
      description: The slug for the prompt
      type: string
      x-nullable: true
    System:
      description: The System prompt to be used
      type: string
      x-nullable: true
    Tags:
      description: A list of tags
      items:
        type: string
      type: array
      x-nullable: true
    Temperature:
      description: The temperature of the prompt
      type: number
      x-nullable: true
    TenantID:
      description: The ID of the tenant
      type: string
      x-nullable: true
    Title:
      description: The title of the prompt
      type: string
      x-nullable: true
    UsedCount:
      description: The number of times the prompt has been used
      type: number
      x-nullable: true
    UserID:
      description: The ID of the user who created the prompt
      type: string
      x-nullable: true
  type: object
